Browse Source

Convert to Shellfu v0.10.*

Alois Mahdal 6 years ago
parent
commit
89e791c33f
3 changed files with 7 additions and 4 deletions
  1. 5
    1
      packaging/debian/control
  2. 1
    2
      packaging/imapdomo.spec
  3. 1
    1
      src/imapdomo.skel

+ 5
- 1
packaging/debian/control View File

@@ -8,7 +8,11 @@ Build-Depends: debhelper (>= 9)
8 8
 
9 9
 Package: __MKIT_PROJ_PKGNAME__
10 10
 Architecture: all
11
-Depends: bash, imapfilter, shellfu-bash, shellfu-bash-core, shellfu-bash-extras
11
+Depends:
12
+ bash,
13
+ imapfilter,
14
+ shellfu-bash,
15
+ shellfu-bash-pretty,
12 16
 Description: __MKIT_PROJ_TAGLINE__
13 17
  imapdomo is simple convenience wrapper around imapfilter that
14 18
  adds few more Lua functions and suggests some system to way how you can

+ 1
- 2
packaging/imapdomo.spec View File

@@ -10,8 +10,7 @@ BuildArch:	noarch
10 10
 BuildRequires:	coreutils git
11 11
 Requires:	imapfilter
12 12
 Requires:	shellfu-bash
13
-Requires:	shellfu-bash-core
14
-Requires:	shellfu-bash-extras
13
+Requires:	shellfu-bash-pretty
15 14
 
16 15
 %description
17 16
 imapdomo is simple convenience wrapper around imapfilter that

+ 1
- 1
src/imapdomo.skel View File

@@ -1,6 +1,6 @@
1 1
 #!/bin/bash
2 2
 
3
-. "$(shellfu-get path)" || exit 3
3
+. "$(sfpath)" || exit 3
4 4
 
5 5
 shellfu import pretty
6 6